-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "LK_HideShowShyPoints"

-- **************************************************
-- General information about this script
-- **************************************************

LK_HideShowShyPoints = {}

function LK_HideShowShyPoints:Name()
	return "Hide/Show Shy Points"
end

function LK_HideShowShyPoints:Version()
	return "0.0"
end

function LK_HideShowShyPoints:Description()
	return "Hide/Show Shy Points"
end

function LK_HideShowShyPoints:Creator()
	return "Lukas Krepel, Frame Order"
end

function LK_HideShowShyPoints:UILabel()
	return "Hide/Show Shy Points"
end

function LK_HideShowShyPoints:ColorizeIcon()
	return true
end

function LK_HideShowShyPoints:IsRelevant(moho)
	if MohoMode ~= nil then
		if not MohoMode.animation then
			return false
		end
	end
	return moho.drawingLayer:LayerType() == MOHO.LT_VECTOR
end

function LK_HideShowShyPoints:IsEnabled(moho)
	local enable = false
	if moho.drawingLayer:LayerType() == MOHO.LT_VECTOR then
		local mesh = moho:DrawingMesh()
		if mesh ~= nil then
			for i = 0, mesh:CountGroups()-1 do
				local group = mesh:Group(i)
				if group:Name() == "Shy" then
					enable = true
					break
				end
			end
		end
	end
	return enable
end

-- **************************************************
-- The guts of this script
-- **************************************************

function LK_HideShowShyPoints:Run(moho)
	LK_SelectPoints:HideShowShyPoints(moho)
end